Kan ikke få netplan til at fungere som ønsker

peque
Antal: 967
Tilmeldt:
20-04-2005
User is offline
Kan ikke få netplan til at fungere som ønsker

Hej Forum

Jeg har et issue med min Ubuntu20.04LTS server - hvor jeg har 2fysiske NICs siddende. ¨
Hver NIC en seperat tilsluttet til diverse subnet
NIC1 - Får en DHCP adresse - som forventet ingen problemer her
NIC2 - skal få en DHCP adresse, men den får den ikke.

Min netplan config ser således ud:

network:
    version: 2
    renderer: networkd
    ethernets:
        ens160:
            dhcp4: true
            dhcp4-overrides:
              route-metric: 100
        ens192:
            dhcp4: true
            dhcp4-overrides:
              route-metric: 200
# netplan ip leases ens160
# This is private data. Do not parse.
ADDRESS=10.100.2.10
NETMASK=255.255.255.0
ROUTER=10.100.2.1
SERVER_ADDRESS=10.100.2.1
T1=3600
T2=6300
LIFETIME=7200
DNS=10.100.2.1
NTP=10.100.2.1
DOMAINNAME=localdomain
CLIENTID=ff9f6e852400020000ab11c2f504da05f600fb

# netplan ip leases ens192
No lease found for interface 'ens192': [Errno 2] No such file or directory: '/run/systemd/netif/leases/3'

[    1.639708] vmxnet3 0000:03:00.0: # of Tx queues : 8, # of Rx queues : 8
[    1.642733] vmxnet3 0000:03:00.0 eth0: NIC Link is Up 10000 Mbps
[    1.643070] vmxnet3 0000:0b:00.0: # of Tx queues : 8, # of Rx queues : 8
[    1.645174] vmxnet3 0000:0b:00.0 eth1: NIC Link is Up 10000 Mbps
[    1.678744] vmxnet3 0000:0b:00.0 ens192: renamed from eth1
[    1.714885] vmxnet3 0000:03:00.0 ens160: renamed from eth0
[    6.583204] vmxnet3 0000:0b:00.0 ens192: intr type 3, mode 0, 9 vectors allocated
[    6.584242] vmxnet3 0000:0b:00.0 ens192: NIC Link is Up 10000 Mbps
[    6.591202] vmxnet3 0000:03:00.0 ens160: intr type 3, mode 0, 9 vectors allocated
[    6.591853] vmxnet3 0000:03:00.0 ens160: NIC Link is Up 10000 Mbps

Men når jeg kigger så får jeg ikke en IP adresse på mit sekunderte netkort

Jeg har testet at jeg får IP via DHCP adresse, via en anden PC - Men jeg kan simpelthen ikke få den til at tage imod nr2 adresse via DHCP


frogmaster
frogmaster's picture
Antal: 4794
Tilmeldt:
20-05-2010
User is offline
Hej peque Jeg har endnu ikke

Hej peque
Jeg har endnu ikke kikket noget igennem, men har et par spørgsmål.

Er serveren virtuel?
Er der en grund til du ikke bruger statiske IP adresser?


peque
Antal: 967
Tilmeldt:
20-04-2005
User is offline
Ja det er en Virtuel server

Ja det er en Virtuel server - med 2 fysiske netkort tilkoblet

og ja der er en grund til dette - jeg ønsker mine enheder styret af DHCP serveren fremfor lokale statiske IP'er


frogmaster
frogmaster's picture
Antal: 4794
Tilmeldt:
20-05-2010
User is offline
og ja der er en grund

#2: og ja der er en grund til dette - jeg ønsker mine enheder styret af DHCP serveren fremfor lokale statiske IP'er
Okay ;) men lad mig spørge på en anden måde. Har du forsøgt at få hul igennem til ens192 med statisk IP?

Netplan har ikke noget med DHCP at gøre.

Er det i øvrigt VMWare (Workstation, ESXi e.g.) og i så fald, er noget så sat op med Virtual Network Editor? Just in case, så skal de fysiske netkort være registreret i Virtual Network Editor som vmnet0 (der formentlig er det netkort der virker) og fx vmnet2. Om de skal være bridged eller NAT, afhænger af om de skal køre i deres eget segment, afskåret fra det øvrige LAN. Hvis det er ESXi, så er der ingen NAT mulighed.

Stadig under forudsætning, så finder du måske yderligere to virtuelle adaptere (vmnet3 og vmnet8) i Virtual Network Editor, hvis jeg husker korrekt. De kan blot slettes, fordi de kun er virtuelle (med virtuelle mac adresser), og virker kun med andre VM's.


peque
Antal: 967
Tilmeldt:
20-04-2005
User is offline
Hey Frogmaster Undskyld lang

Hey Frogmaster
Undskyld lang svartid - Men ugen væltede lige for familien.

Ja har forsøgt med statisk IP - Har droppet netplan - og bruger ifup.
Det er lykkedes mig at få begge IP'er til at fungere - nu har jeg bare et andet issue omkring dette.
Som sagt har jeg 2 netkort i en Virtual VMware maskine med følgende komfiguration:

auto lo
iface lo inet loopback

# The primary network interface

allow-hotplug ens160
iface ens160 inet static
    address 10.100.2.10
    netmask 255.255.255.0
    gateway 10.100.2.1
    dns-nameservers 10.100.2.1

# The secondary network interface
allow-hotplug ens192
    iface ens192 inet static
    address 10.101.10.2
    netmask 255.255.255.248
    dns-nameservers 10.101.10.1
    post-up ip route add 10.101.10.0/29 dev ens192 src 10.101.10.2 table rt2
    post-up ip route add 10.101.20.0/29 dev ens192 src 10.101.10.2 table rt2
    post-up ip route add default via 10.101.10.1 dev ens192 table rt2
    post-up ip rule add from 10.101.10.2/32 table rt2
    post-up ip rule add to 10.101.10.2/32 table rt2
    up route add -net 10.101.20.0/29 gw 10.101.10.1 dev ens192

Jeg kan som sagt ping osv - men en telnet resulterer i no route to host - men kan sagtens udføre nmap

# nmap 10.101.20.3
Starting Nmap 7.80 ( https://nmap.org ) at 2020-07-06 07:38 UTC
Nmap scan report for 10.101.20.3
Host is up (0.0017s latency).
Not shown: 995 closed ports
PORT     STATE SERVICE
22/tcp   open  ssh
80/tcp   open  http
111/tcp  open  rpcbind
443/tcp  open  https
5666/tcp open  nrpe

Nmap done: 1 IP address (1 host up) scanned in 0.25 seconds
root@zabbix:/home/pbj# telnet 10.101.20.2 10050
Trying 10.101.20.2...
telnet: Unable to connect to remote host: No route to host
root@zabbix:/home/pbj# ping 10.101.20.2
PING 10.101.20.2 (10.101.20.2) 56(84) bytes of data.
64 bytes from 10.101.20.2: icmp_seq=1 ttl=63 time=0.863 ms
64 bytes from 10.101.20.2: icmp_seq=2 ttl=63 time=0.969 ms

Det skulle jeg nu gerne kunne for at kunne monitorere serverne


frogmaster
frogmaster's picture
Antal: 4794
Tilmeldt:
20-05-2010
User is offline
telnet: Unable to

#4: telnet: Unable to connect to remote host: No route to host
Den første tanke der falder mig ind, er om din Firewall blokere. Prøv at deaktivere. I første omgang på serveren, og hvis det ikke hjælper, så også routerens Firewall.

Edit:
Jeg har lavet et script for at tjekke netværket på mine opsætninger, men jeg aner ikke om det hjælper dig. I så fald skal scriptet tilpasses dine IP's, til det netkort der er problemer med.

Hvis nogle værktøjer mangler, vil scriptet forsøge at installere dem (kun Ubuntu og derivater).

Edit: Scriptet skal navngives 'arpscan' og befinde sig i en mappe med navnet 'progs' i 'home'.

#!/bin/bash
# Scan LAN Range

GREEN='\033[32;1m'
GREEN1='\033[0;32m'
YEL='\033[33;1m'
YEL1='\033[0;33m'
RED='\033[31;1m'
RED1='\033[0;31m'
BLUE='\033[0;34m'
BLUE1='\033[1;34;1m'
STD='\033[0m'

externalip=$(curl -s ipecho.net/plain;echo)

PROGRAM_1="curl"       # System name
PROG_1="Curl"          # User friendly name
PROGRAM_2="zenmap"     # System name
PROG_2="Zenmap (Nmap)" # User friendly name
PROGRAM_3="nbtscan"    # System name
PROG_3="NBTSCAN"       # User friendly name
PROGRAM_4="arp-scan"   # System name
PROG_4="ARP-SCAN"      # User friendly name

if ! [ -x "$(command -v $PROGRAM_1 )" ]; then
    echo -e ${BLUE1}"${PROG_1}${RED} is not installed.${STD}"
    echo -e ${BLUE1}"${PROG_1}${STD} is preferable for checking the external IP."
    echo
    echo -e "An administrative password is required to install${BLUE1} ${PROG_1}"${STD}
    sudo apt install $PROGRAM_1
    echo "Restarting script ..."
    ~/progs/./arpscan
fi

echo
echo -e ${YEL1}"Scanning LAN using NMAP, NBTSCAN and ARP-SCAN"${STD}
echo -e ${YEL}"You will need to manually change range within this script to work. See the internal IP below."${STD}
echo

# Check hostname
echo -e ${GREEN1}"Hostname     : " ${GREEN}$HOSTNAME ${STD}

# Check Internal IP
internalip=$(hostname -I)
echo -e ${GREEN1}"Internal IP  : " ${GREEN}$internalip ${STD}

# Check DNS
nameservers=$(cat /etc/resolv.conf | sed '1 d' | awk '{print $2}')
echo -e ${GREEN1}"Name Servers :" ${GREEN}$nameservers ${STD}

# This only work on Ubuntu 16.04 and 18.04. Please uncomment according to Your need.
router=$(nmcli dev show | grep DNS | sed 's/\s\s*/\t/g' | cut -f 2)
echo -e ${GREEN}"Router DNS   : " $router ${STD}

# This only work om Ubuntu 14.04. Please uncomment according to Your need.
# router=$(nmcli dev list | grep DNS | sed 's/\s\s*/\t/g' | cut -f 2)
# echo -e ${GREEN}"Router DNS   : " $router ${STD}

echo

# Check if connected to Internet or not
ping -c 1 google.com &> /dev/null && echo -e $GREEN"Internet connected"${STD} || echo -e ${RED}"Internet not accessible or an Firewall/DNS issue detected blocking PING request.${GREEN1} Did You get an${GREEN} Router DNS${STD}${GREEN1} reply above ...? Check the Network Manager for eg missing or wrong DHCP, IP, DNS or Subnet Mask. You may wish to check the ICMP settings as well. Does other devices on the local network got an Internet connection ...? However, this might not cause problems if you got an${GREEN} External IP${STD}${GREEN1} address below. Please continue..."${STD}

# Check External IP
echo -e ${GREEN}"External IP  : $externalip ${STD}"
echo

# Check ICMP settings
cat /proc/sys/net/ipv4/icmp_echo_ignore_all &>/dev/null
echo -e ${YEL}"ICMP settings"${STD}
if [ "$?" = "1" ]; then
    echo -e ${RED}"Disabled${STD} You may have an Firewall issue ..."  
else
    echo -e $GREEN"Enabled"${STD} 
fi
echo

# Ping LAN
echo -e ${YEL}"Ping LAN"...${STD}

PING_1()
{
    ping -c 1 $1 > /dev/null
    [ $? -eq 0 ] && echo -e "${GREEN1}Node:$GREEN ${i}${STD}${GREEN1} is up.${STD}"
}

# Change the IP range here so it match your routers DHCP settings (example: 192.168.0.0)
for i in 192.168.0.{1..254}
    do PING_1 $i & disown
done
echo

# Check NETBIOS ports
echo -e ${YEL}"NETBIOS ports" && grep -i --color NETBIOS /etc/services
echo

# Check if installed and install if isn't
echo -e ${YEL}"Checking if ${PROG_2}, ${PROG_3} and $PROG_4 are installed"${STD}
if ! [ -x "$(command -v $PROGRAM_2 )" ]; then
    echo -e ${RED}"${PROG_2} is not installed."${STD}
    echo "We'll attempt to install ${PROG_2}. An internet connection is requiered."
    echo
    echo -e ${RED1}"An administrative password is required"
    #tput setaf 1
        sudo apt-get update && sudo apt-get install $PROGRAM_2
    echo
        if ! [ -x "$(command -v $PROGRAM_2 )" ]; then
            echo -e ${RED}"${PROG_2} Could not be installed."${STD}
                  if ! [ -x "$(command -v nmap )" ]; then
                     echo -e ${YEL}"Trying to install nmap as replacement ..."${STD}
                     echo
                     sudo apt install nmap
               fi
        else
            echo -e ${GREEN}"OK${STD} ${BLUE1}${PROG_2}${STD}${GREEN1} is installed"${STD}
        fi
else
    echo -e ${GREEN}"OK${STD} ${BLUE1}${PROG_2}${STD}${GREEN1} is installed"${STD}
fi

# Check if installed and install if isn't
if ! [ -x "$(command -v $PROGRAM_3 )" ]; then
    echo -e ${RED}"${PROG_3} is not installed."${STD}
    echo "We'll attempt to install ${PROG_3}. An internet connection is requiered."
    echo
    echo -e ${RED1}"An administrative password is required"
    #tput setaf 1
        sudo apt-get update && sudo apt-get install $PROGRAM_3
    echo
        if ! [ -x "$(command -v $PROGRAM_3 )" ]; then
            echo -e ${RED}"${PROG_3} Could not be installed."${STD}
        else
            echo -e ${GREEN}"OK${STD} ${BLUE1}${PROG_3}${STD}${GREEN1}       is installed"${STD}
        fi
else
    echo -e ${GREEN}"OK${STD} ${BLUE1}${PROG_3}${STD}${GREEN1}       is installed"${STD}
fi

# Check if installed and install if isn't
if ! [ -x "$(command -v $PROGRAM_4 )" ]; then
    echo -e ${RED}$PROG_4 "is not installed."${STD}
    echo "We'll attempt to install ${PROG_4}. An internet connection is requiered."
    echo
    echo -e ${RED1}"An administrative password is required"
    #tput setaf 1
        sudo apt-get update && sudo apt-get install $PROGRAM_4
    echo
        if ! [ -x "$(command -v $PROGRAM_4 )" ]; then
            echo -e ${RED}"$PROG_4 Could not be installed."${STD}
        else
            echo -e ${GREEN}"OK${STD} ${BLUE1}${PROG_4}${STD}${GREEN1}      is installed"${STD}
        fi
else
    echo -e ${GREEN}"OK${STD} ${BLUE1}${PROG_4}${STD}${GREEN1}      is installed"${STD}
fi

# Start nmap Host up
echo -e ${YEL} && read -n1 -r -p "Starting nmap HOST UP ONLY piped to awk. Press any key to begin" key

# Change the range here:
echo -e ${GREEN1} && nmap -sn 192.168.0.0/24 | awk '/is up/ {print up}; {gsub (/\(|\)/,""); up = $NF}'

# Start nmap latency info
echo -e ${YEL} && read -n1 -r -p "Starting nmap latency info. Press any key to begin" key

# Change the range here:
echo -e ${GREEN1} && nmap -T5 -sn 192.168.0.0-255

# Starting nbtscan
echo -e ${YEL} && read -n1 -r -p "Identifying Masterbrowser - MSBROWSE (nbtscan). Press any key to begin" key

# Change the range here:
echo -e ${GREEN1} && nbtscan -v -s : 192.168.0.0/24
tput sgr0
echo

# Start arp-scan
echo -e ${YEL}"Do You wanna ARP-SCAN as ${RED}root${STD}${YEL}? This work without changing LAN range"
echo -e "Press any key to continue... ${RED}Administrative privileges is required${STD}"
read -n1 -r -p "" key
echo -e ${RED1} && sudo arp-scan -l
tput sgr0

# We're gonna exit the terminal
echo -e ${YEL} && read -n1 -r -p "Press any key to exit..." key ${STD}
exit
$SHELL


peque
Antal: 967
Tilmeldt:
20-04-2005
User is offline
Hey Frogaster Nice script

Hey Frogaster
Nice script -jeg takker.

Da jeg har dette extra NIC - til en zabbix server, således den har adgang til flere subnets.
Vi har flere offentlige IP'er med hver sin PFsense server tilkoblet, som hver sit adskilte netværk. Dertil har jeg så tilknyttet et extra NIC _ da zabbix-proxy fik den lille pfsense til at crashe konstant -derfor ville jeg undgå zabbix-proxy og så bare have NIC tilsluttet inderiden af Denne PFsense
Det der undrer mig er at jeg kan pinge mm - men når jeg bruger IP - får jeg fejlen no route to host.
Laver jeg en nmap scanning kan jeg se porten er åbnet som forventet - Men laver jeg en telnet til porten = no route to host ?

Firewall er ikke et issue - da det stadig er et problem med firewall deaktiveret (og med testet med tilladt portåbning) samme resultat.

Mit hoved kan bare lige overse hvorfor jeg kan pinge en IP - men alle andre kommandoer for no route to host


frogmaster
frogmaster's picture
Antal: 4794
Tilmeldt:
20-05-2010
User is offline
hvorfor jeg kan pinge en

#6: hvorfor jeg kan pinge en IP - men alle andre kommandoer for no route to host
Jeg er blank, og har svært nok med at forestille mig dit netværk, men min næste tanke er at det måske skyldes denne NIC, eller måske en konfigurering/software/hardware fejl i pfSence.

- Er pfSense konfigureret som router/DNS/VPN/DHCP/Firewall?
- Har du mulighed for at prøve med en anden NIC?


OracleJMT
OracleJMT's picture
Antal: 1152
Tilmeldt:
26-05-2013
User is online
Pfsense er FreeBSD, så du

Pfsense er FreeBSD, så du har nok mest held med at spørge i FreeBSD forums.


frogmaster
frogmaster's picture
Antal: 4794
Tilmeldt:
20-05-2010
User is offline
pequeHvis din VMware

peque

Hvis din VMware virtuelle Ubuntu 20.04 server kører på en Linux host, så prøv om det hjælper at tillade begge vmnet? adapterne at køre i promiscuous mode (usikker mode). Det er specifikt for VMWare på Linux host.

På Linux host:
sudo chmod a+rw /dev/vmnet0 - og samme for den anden vmnet? adapter